package com.zerohighdef.geoffrey.Models;


import com.google.gson.JsonObject;

import java.util.UUID;

public class GeoffreyPlayer {
    private String username;
    private String mcUUID;

    public GeoffreyPlayer(JsonObject playerJSON) {
        this.username = playerJSON.get("name").getAsString();
        this.mcUUID = playerJSON.get("mc_uuid").getAsString();
    }

    public GeoffreyPlayer(String username, String mcUUID) {
        this.username = username;
        this.mcUUID = mcUUID;
    }

    public String getUsername() {
        return username;
    }

    public String getMcUUID() {
        return mcUUID;
    }
}
